Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009004Dwarf FortressDwarf Mode -- Jobs, Haulingpublic2015-07-01 12:062016-07-17 19:02
ReporterLoci 
Assigned ToLoci 
PrioritynormalSeveritymajorReproducibilityalways
StatusconfirmedResolutionopen 
PlatformOSOS Version
Product Version0.40.24 
Target VersionFixed in Version 
Summary0009004: "Store item in container" jobs block access to all items already in the container
Description"Store item in container" jobs block access to all the other items in that container until the job is complete. This leads to job cancellations, confusion (where did all my _ go?), and general inefficiency. Since the container is no longer being hauled across the fortress, there's little reason for the supplies inside to be unavailable during the job.
Steps To Reproduceembark with a log and four stone blocks
create a bin
forbid one or two blocks
set up a block stockpile using the bin
wait for dwarves to fill the bin with the unforbidden blocks
verify that those blocks are available to build a construction
unforbid one of the forbidden blocks
while the "store item" job is in progress, verify that the already-stockpiled blocks are no longer available for building constructions
Additional Informationcontinuation of 0005964
TagsNo tags attached.
Attached Files

- Relationships
related to 0005964resolvedToady One Haulers carry (heavy) full bin to pickup single item (lighter) 
has duplicate 0009259resolvedDwarfu Instrument parts that exist show up as "red" and cannot be used to construct istruments 
has duplicate 0009439resolvedDwarfu Finished good stockpile's acting weird when trading 
has duplicate 0009617resolvedKnight Otu Workshops stop finding resources 
has duplicate 0010138resolvedLoci Scroll Rollers in bins disable useage for use 
related to 0009481resolvedDwarfu ..., ... cancels Store Item in Stockpile: Item inaccessible. 
related to 0007447resolvedLoci Brewing doesn't work 
related to 0005992resolvedToady One Conflict between hauling jobs (i.e. filling containers) and other jobs using items in those containers 
related to 0008755acknowledgedlethosor Items in bins (coins, thread, mechanisms, ammo) are sometimes not found for tasks 

-  Notes
(0032944)
clanl (reporter)
2015-08-01 04:11
edited on: 2015-08-01 04:14

Shouldn't this be marked as resolved as per 0005992?
Or possibly linked to 0008755. I'm not sure I understand if there's any difference between the 3 reports, and whether it has been fixed or not.
[EDIT] didn't see that it's newer and reported for 40.24. I guess it should just be related to 0008755.

(0033031)
Loci (manager)
2015-09-02 15:05

0008755 claims there is no task targeting the bin when the problem occurs, and is therefore a different issue.
(0035376)
Loci (manager)
2016-06-08 03:28

v0.43.03: verified store-item-in-container jobs block access to other items in container. The "unavailable goods" are a common source of confusion for players in many different situations.

- Issue History
Date Modified Username Field Change
2015-07-01 12:06 Loci New Issue
2015-07-01 15:44 lethosor Relationship added related to 0005964
2015-08-01 04:11 clanl Note Added: 0032944
2015-08-01 04:14 clanl Note Edited: 0032944 View Revisions
2015-09-02 15:05 Loci Note Added: 0033031
2015-12-06 19:34 Dwarfu Relationship added has duplicate 0009259
2015-12-06 20:41 Dwarfu Issue Monitored: Dwarfu
2016-01-02 16:15 Dwarfu Relationship added has duplicate 0009439
2016-01-02 18:14 Huntthetroll Issue Monitored: Huntthetroll
2016-01-16 11:33 Dwarfu Relationship added related to 0009481
2016-03-22 07:03 Knight Otu Relationship added has duplicate 0009617
2016-06-08 03:28 Loci Note Added: 0035376
2016-07-17 19:02 Loci Assigned To => Loci
2016-07-17 19:02 Loci Status new => confirmed
2016-10-11 06:57 Loci Relationship added related to 0007447
2016-10-11 06:58 Loci Relationship added related to 0005992
2017-02-15 18:03 Loci Relationship added has duplicate 0010138
2017-05-18 21:30 lethosor Relationship added related to 0008755


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker